ElkArte Community

Extending Elk => Addons => Topic started by: live627 on May 08, 2017, 06:25:09 am

Title: [ADDON] Rules
Post by: live627 on May 08, 2017, 06:25:09 am
Rules 1.0

(https://camo.githubusercontent.com/d7b0ca6383644d5ac81e234f8d2249b731a1407b/687474703a2f2f696d672e736869656c64732e696f2f62616467652f6c6963656e73652d4d49542d3030393939392e737667) (http://opensource.org/licenses/MIT) (https://camo.githubusercontent.com/2b3fb2fb0f075842df0f19a30eb3a3774187215c/68747470733a2f2f696d672e736869656c64732e696f2f6769746875622f6973737565732f6c6976653632372f656c6b2d72756c65732e737667) (https://github.com/live627/elk-rules/issues) (https://camo.githubusercontent.com/760b06b6887a794b2884ca1a22944407a41be54a/68747470733a2f2f696d672e736869656c64732e696f2f6769746875622f72656c656173652f6c6976653632372f656c6b2d72756c65732e737667) (https://github.com/live627/elk-rules/releases) (https://camo.githubusercontent.com/607da0fe9ccec1e2e638ec1a129a5986e298e212/68747470733a2f2f696d672e736869656c64732e696f2f6769746875622f646f776e6c6f6164732f6c6976653632372f656c6b2d72756c65732f746f74616c2e737667) (https://github.com/live627/elk-rules/releases) (https://camo.githubusercontent.com/42369538c2c9e329a15d33929bcc9a2172dee3c4/68747470733a2f2f737570706f727465722e3630646576732e636f6d2f6170692f622f61786c736a316f386f30616d65706672723565716c636a7a61) (https://supporter.60devs.com/give/axlsj1o8o0amepfrr5eqlcjza)
(https://supporter.60devs.com/give/axlsj1o8o0amepfrr5eqlcjza)
Introduction:

Lay down the law. Make it easier for users to know that you're in charge. No more excuses!

Requires PHP 5.5 or newer to run

https://github.com/live627/elk-rules/releases

Please consider donating if you use this; I'd greatly appreciate it!
Title: Re: [ADDON] Rules
Post by: Mattmax on August 22, 2018, 12:21:52 am
after the installation something went wrong.
I get this information:
Quote
Declaration of live627\Rules\Settings::setConfigVars($config_vars) should be compatible with Settings_Form::setConfigVars(array $configVars)

so can someone fix it or help me?